%define module_name Params-Validate-Dependencies
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Clone.pm) perl(Data/Domain.pm) perl(ExtUtils/MakeMaker.pm) perl(PadWalker.pm) perl(Params/Validate.pm) perl(Scalar/Util.pm) perl(Test/Differences.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Warnings.pm) perl(lexical/underscore.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.40
Release: alt1
Summary: check that the right combination of arguments is passed to a function
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/D/DC/DCANTRELL/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Extends Params::Validate to make it easy to validate
that you have been passed the correct combinations of parameters.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc ARTISTIC.txt GPL2.txt CHANGELOG
%perl_vendor_privlib/D*
%perl_vendor_privlib/P*

%changelog
* Sat Jul 14 2018 Igor Vlasenko <viy@altlinux.ru> 1.40-alt1
- regenerated from template by package builder

* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.32-alt2
- updated summary

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 1.32-alt1
- regenerated from template by package builder

* Sat Nov 19 2016 Igor Vlasenko <viy@altlinux.ru> 1.31-alt1
- regenerated from template by package builder

* Wed Oct 12 2016 Igor Vlasenko <viy@altlinux.ru> 1.30-alt1
- regenerated from template by package builder

* Sun Oct 18 2015 Igor Vlasenko <viy@altlinux.ru> 1.23-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 1.22-alt1
- regenerated from template by package builder

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.21-alt1
- initial import by package builder

